Subject: [PATCH] ARM: OMAP: hwmod: Fix error handling in functions used OMAP4 onwards

From: [email-masked] (Jon Hunter)
Date: Thu, 29 Mar 2012 10:01:48 -0500

Hi Viabhav,

On 3/29/2012 4:14, Hiremath, Vaibhav wrote:
> On Thu, Mar 29, 2012 at 14:32:34, Nayak, Rajendra wrote:
>> On Thursday 29 March 2012 02:26 PM, Hiremath, Vaibhav wrote:
>>> The point I was trying to make here was, cpu_is_xxx() check will become ugly,
>>> as more and more devices gets added to the list, am33xx being the first one
>>> in omap34xx family.
>>
>> So are there more, other than AM33xx which are cortex A8 based but
>> share the OMAP4 PRCM IP block?
>>
>
> I would say, probably yes.
>
> But, things are so dynamic and you never know how things will shape up by
> the time you freeze the design.

So this begs the question, why does AM33xx return true from 
cpu_is_omap34xx() is the architecture is based upon OMAP4 and not OMAP3?

I understand it is a Cortex-A8 versus Corex-A9, but if the architecture 
is closer to OMAP4, then should it not be classed as OMAP4 and not OMAP3?

Raises another question if we should really have arch_is_omapXXXX and 
not cpu_is_omapXXXX.

Cheers
Jon